com.genesyslab.wfm7.API.service.config712

## Class CfgTimezoneHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgTimezoneHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTimezoneHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgTimezoneHolder contains response for request to load Time Zone information (`CfgTimezone` or `CfgTimezoneShort` object) .
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgTimezone[]` | `objectArray` An array of `CfgTimezone`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `private int` | `objectArrayNSizeIs` Number of elements in objectArray array
    `private int[]` | `objectIDArray` An array of Time Zone IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `private int` | `objectIDArrayNSizeIs` Number of elements in objectIDArray array
    `private CfgTimezoneShort[]` | `objectShortArray` An array of `CfgTimezoneShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `private int` | `objectShortArrayNSizeIs` Number of elements in objectShortArray array
    `private long` | `timestamp` A timestamp value -- marks time point when response information was returned

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTimezoneHolder()`
    `CfgTimezoneHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgTimezone[] objectArray, int objectShortArrayNSizeIs, CfgTimezoneShort[] objectShortArray, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgTimezone[]` | `getObjectArray()` Gets the objectArray value for this CfgTimezoneHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgTimezoneHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgTimezoneHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgTimezoneHolder.
    `CfgTimezoneShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgTimezoneHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgTimezoneHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgTimezoneHolder.
    `int` | `hashCode()`
    `void` | `setObjectArray(CfgTimezone[] objectArray)` Sets the objectArray value for this CfgTimezoneHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgTimezoneHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgTimezoneHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgTimezoneHolder.
    `void` | `setObjectShortArray(CfgTimezoneShort[] objectShortArray)` Sets the objectShortArray value for this CfgTimezoneHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgTimezoneHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgTimezoneHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

      Number of elements in objectIDArray array

    - #### objectIDArray

          private int[] objectIDArray

      An array of Time Zone IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

      Number of elements in objectArray array

    - #### objectArray

          private CfgTimezone[] objectArray

      An array of `CfgTimezone`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

      Number of elements in objectShortArray array

    - #### objectShortArray

          private CfgTimezoneShort[] objectShortArray

      An array of `CfgTimezoneShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when response information was returned

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgTimezoneHolder

          public CfgTimezoneHolder()

    - #### CfgTimezoneHolder

          public CfgTimezoneHolder(int objectIDArrayNSizeIs,
                           int[] objectIDArray,
                           int objectArrayNSizeIs,
                           CfgTimezone[] objectArray,
                           int objectShortArrayNSizeIs,
                           CfgTimezoneShort[] objectShortArray,
                           long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgTimezoneHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgTimezoneHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgTimezoneHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgTimezoneHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgTimezoneHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgTimezoneHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgTimezone[] getObjectArray()

      Gets the objectArray value for this CfgTimezoneHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgTimezone[] objectArray)

      Sets the objectArray value for this CfgTimezoneHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgTimezoneHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgTimezoneHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgTimezoneShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgTimezoneHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgTimezoneShort[] objectShortArray)

      Sets the objectShortArray value for this CfgTimezoneHolder.
      Parameters:
        `objectShortArray` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgTimezoneHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgTimezoneHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.